Bug 114426 - [MAINTAINER] databases/xapian-bindings: update to 1.0.2
Summary: [MAINTAINER] databases/xapian-bindings: update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-09 06:00 UTC by gslin
Modified: 2007-08-15 09:40 UTC (History)
1 user (show)

See Also:


Attachments
xapian-bindings-1.0.2.patch (3.91 KB, patch)
2007-07-09 06:00 UTC, gslin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2007-07-09 06:00:17 UTC
- Update to 1.0.2

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-07-09 06:00:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

clsung@ wants his PRs
Comment 2 gslin 2007-07-31 14:27:50 UTC
Please use the following patch.

diff -ruN /usr/ports/databases/xapian-bindings/Makefile xapian-bindings/Makefile
--- /usr/ports/databases/xapian-bindings/Makefile	2007-05-30 08:45:32.000000000 +0000
+++ xapian-bindings/Makefile	2007-07-31 13:25:49.000000000 +0000
@@ -6,40 +6,39 @@
 #
 
 PORTNAME=	xapian-bindings
-PORTVERSION=	1.0.0
-CATEGORIES=	databases java
+PORTVERSION=	1.0.2
+CATEGORIES=	databases
 MASTER_SITES=	http://www.oligarchy.co.uk/xapian/${PORTVERSION}/
 
 MAINTAINER=	gslin@gslin.org
 COMMENT=	Bindings allowing Xapian to be used from various programming languages
 
-RUN_DEPENDS=	xapian-core>=1.0.0:${PORTSDIR}/databases/xapian-core
-BUILD_DEPENDS=	${RUN_DEPENDS}
+RUN_DEPENDS=	xapian-core>=1.0.2:${PORTSDIR}/databases/xapian-core
+BUILD_DEPENDS:=	${RUN_DEPENDS}
 
-CONFIGURE_ARGS=	--without-csharp --without-java --without-ruby --without-tcl
+CONFIGURE_ARGS+=	--datarootdir="${DATADIR}" --docdir="${DOCSDIR}" \
+		--without-csharp --without-java --without-ruby --without-tcl
 GNU_CONFIGURE=	yes
 
-OPTIONS=	PHP "Enable PHP binding" on \
-		PYTHON "Enable Python binding" off
-
-.include <bsd.port.pre.mk>
-
 .ifdef(WITHOUT_PHP)
 CONFIGURE_ARGS+=	--without-php
 PLIST_SUB+=	BINDING_PHP="@comment "
 .else
 CONFIGURE_ARGS+=	--with-php
+CONFIGURE_ENV+=	PHP_CONFIG="${LOCALBASE}/bin/php-config"
 PLIST_SUB+=	BINDING_PHP=""
 USE_PHP=	yes
+USE_PHP_BUILD=	yes
 .endif
 
-.ifdef(WITH_PYTHON)
+.ifdef(WITHOUT_PYTHON)
+CONFIGURE_ARGS+=	--without-python
+PLIST_SUB+=	BINDING_PYTHON="@comment "
+.else
 CONFIGURE_ARGS+=	--with-python
+CONFIGURE_ENV+=	PYTHON_LIB="${PYTHON_SITELIBDIR}"
 PLIST_SUB+=	BINDING_PYTHON=""
 USE_PYTHON=	yes
-.else
-CONFIGURE_ARGS+=	--without-python
-PLIST_SUB+=	BINDING_PYTHON="@comment "
 .endif
 
 post-install:
@@ -47,4 +46,4 @@
 	${RM} -fr ${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN /usr/ports/databases/xapian-bindings/distinfo xapian-bindings/distinfo
--- /usr/ports/databases/xapian-bindings/distinfo	2007-05-30 08:45:32.000000000 +0000
+++ xapian-bindings/distinfo	2007-07-29 12:57:22.000000000 +0000
@@ -1,3 +1,3 @@
-MD5 (xapian-bindings-1.0.0.tar.gz) = 422b65976fd33374d66b688c1bc657fa
-SHA256 (xapian-bindings-1.0.0.tar.gz) = 627df294f4e025ed3352fe0213f0eb0b07f779c7a624564c00a0105924e4cf83
-SIZE (xapian-bindings-1.0.0.tar.gz) = 926449
+MD5 (xapian-bindings-1.0.2.tar.gz) = 98d335ded1a509d24646df82ee1ad463
+SHA256 (xapian-bindings-1.0.2.tar.gz) = fbbbd52dfba46cd77f13074cdbea67b3053d027d12e8a446730f0507c5e98006
+SIZE (xapian-bindings-1.0.2.tar.gz) = 984769
diff -ruN /usr/ports/databases/xapian-bindings/pkg-plist xapian-bindings/pkg-plist
--- /usr/ports/databases/xapian-bindings/pkg-plist	2007-05-30 08:45:32.000000000 +0000
+++ xapian-bindings/pkg-plist	2007-07-31 13:20:19.000000000 +0000
@@ -1,4 +1,5 @@
 @comment $FreeBSD: ports/databases/xapian-bindings/pkg-plist,v 1.1 2007/05/30 08:45:32 clsung Exp $
+%%BINDING_PHP%%%%DATADIR%%/php5/xapian.php
 %%BINDING_PHP%%%%PORTDOCS%%%%DOCSDIR%%/php/bindings.html
 %%BINDING_PHP%%%%PORTDOCS%%%%DOCSDIR%%/php/examples/simpleexpand.php4
 %%BINDING_PHP%%%%PORTDOCS%%%%DOCSDIR%%/php/examples/simpleexpand.php5
@@ -7,16 +8,22 @@
 %%BINDING_PHP%%%%PORTDOCS%%%%DOCSDIR%%/php/examples/simplesearch.php4
 %%BINDING_PHP%%%%PORTDOCS%%%%DOCSDIR%%/php/examples/simplesearch.php5
 %%BINDING_PHP%%lib/php/%%PHP_EXT_DIR%%/xapian.so
-%%BINDING_PHP%%@dirrmtry lib/php/%%PHP_EXT_DIR%%
 %%BINDING_PYTHON%%%%PORTDOCS%%%%DOCSDIR%%/python/bindings.html
 %%BINDING_PYTHON%%%%PORTDOCS%%%%DOCSDIR%%/python/examples/simpleexpand.py
 %%BINDING_PYTHON%%%%PORTDOCS%%%%DOCSDIR%%/python/examples/simpleindex.py
 %%BINDING_PYTHON%%%%PORTDOCS%%%%DOCSDIR%%/python/examples/simplematchdecider.py
 %%BINDING_PYTHON%%%%PORTDOCS%%%%DOCSDIR%%/python/examples/simplesearch.py
+%%BINDING_PYTHON%%%%PYTHON_SITELIBDIR%%/_xapian.so
 %%BINDING_PYTHON%%%%PYTHON_SITELIBDIR%%/xapian.py
 %%BINDING_PYTHON%%%%PYTHON_SITELIBDIR%%/xapian.pyc
+%%BINDING_PYTHON%%%%PYTHON_SITELIBDIR%%/xapian.pyo
+%%BINDING_PYTHON%%@dirrmtry %%PYTHON_SITELIBDIR%%
 %%BINDING_PYTHON%%%%PORTDOCS%%@dirrmtry %%DOCSDIR%%/python/examples
 %%BINDING_PYTHON%%%%PORTDOCS%%@dirrmtry %%DOCSDIR%%/python
+%%BINDING_PHP%%@dirrmtry lib/php/%%PHP_EXT_DIR%%
+%%BINDING_PHP%%@dirrmtry lib/php
+%%BINDING_PHP%%@dirrmtry %%DATADIR%%/php5
+%%BINDING_PHP%%@dirrmtry %%DATADIR%%
 %%BINDING_PHP%%%%PORTDOCS%%@dirrmtry %%DOCSDIR%%/php/examples
 %%BINDING_PHP%%%%PORTDOCS%%@dirrmtry %%DOCSDIR%%/php
 %%PORTDOCS%%@dirrm %%DOCSDIR%%

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 3 dfilter service freebsd_committer 2007-08-15 09:37:33 UTC
clsung      2007-08-15 08:37:27 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-bindings Makefile distinfo pkg-plist 
  Log:
  - Update to 1.0.2
  
  PR:             ports/114426
  Submitted by:   maintainer (Gea-Suan Lin)
  
  Revision  Changes    Path
  1.2       +14 -15    ports/databases/xapian-bindings/Makefile
  1.2       +3 -3      ports/databases/xapian-bindings/distinfo
  1.2       +9 -2      ports/databases/xapian-bindings/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2007-08-15 09:37:38 UTC
State Changed
From-To: open->closed

Committed. Thank You.